## org.eclipse.datatools.modelbase.sql.constraints.util
Class SQLConstraintsAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.constraints.util.SQLConstraintsAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  SQLConstraintsItemProviderAdapterFactory

    public class SQLConstraintsAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLConstraintsPackage`

Constructor Summary
`SQLConstraintsAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAssertionAdapter()` Creates a new adapter for an object of class '`Assertion`'.
`org.eclipse.emf.common.notify.Adapter` `createCheckConstraintAdapter()` Creates a new adapter for an object of class '`Check Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createForeignKeyAdapter()` Creates a new adapter for an object of class '`Foreign Key`'.
`org.eclipse.emf.common.notify.Adapter` `createIndexAdapter()` Creates a new adapter for an object of class '`Index`'.
`org.eclipse.emf.common.notify.Adapter` `createIndexMemberAdapter()` Creates a new adapter for an object of class '`Index Member`'.
`org.eclipse.emf.common.notify.Adapter` `createPrimaryKeyAdapter()` Creates a new adapter for an object of class '`Primary Key`'.
`org.eclipse.emf.common.notify.Adapter` `createReferenceConstraintAdapter()` Creates a new adapter for an object of class '`Reference Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createTableConstraintAdapter()` Creates a new adapter for an object of class '`Table Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createUniqueConstraintAdapter()` Creates a new adapter for an object of class '`Unique Constraint`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLConstraintsAdapterFactory

    public SQLConstraintsAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAssertionAdapter

    public org.eclipse.emf.common.notify.Adapter createAssertionAdapter()

  Creates a new adapter for an object of class '`Assertion`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Assertion`

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createTableConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createTableConstraintAdapter()

  Creates a new adapter for an object of class '`Table Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableConstraint`

### createReferenceConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceConstraintAdapter()

  Creates a new adapter for an object of class '`Reference Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceConstraint`

### createCheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createCheckConstraintAdapter()

  Creates a new adapter for an object of class '`Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CheckConstraint`

### createForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createForeignKeyAdapter()

  Creates a new adapter for an object of class '`Foreign Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ForeignKey`

### createUniqueConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createUniqueConstraintAdapter()

  Creates a new adapter for an object of class '`Unique Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UniqueConstraint`

### createPrimaryKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimaryKeyAdapter()

  Creates a new adapter for an object of class '`Primary Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimaryKey`

### createIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexAdapter()

  Creates a new adapter for an object of class '`Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Index`

### createIndexMemberAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexMemberAdapter()

  Creates a new adapter for an object of class '`Index Member`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IndexMember`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.